<?php $_product = $block->getProduct(); ?>
<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance(); // Instance of Object Manager
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$store = $storeManager->getStore();
$whereToBuyUrl = $block->getUrl('reselleranddistributor');
$whereToBuyUrl = $store->getBaseUrl() . 'reselleranddistributor';

$download_specsheet =  $_product->getData('download_specsheet');
$download_mac_driver_link =  $_product->getData('download_mac_driver_link');
$download_windows_driver_link =  $_product->getData('download_windows_driver_link');
$download_product_manual =  $_product->getData('download_product_manual');
$download_specsheet_2 =  $_product->getData('download_specsheet_2');
$download_driver_zip =  $_product->getData('download_driver_zip');
?>

<div class="additional" style="padding-top: 50px;">
	<div class="row">
		<div class="col-sm-6 col-md-4 where-to-buy">
			<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
				<div class="panel panel-default">
				    <div class="panel-heading" role="tab">
						<span class="panel-title where-buy">
							<a href="<?php echo $whereToBuyUrl; ?>" ><?php echo __('Where to Buy'); ?></a>
						</span>
				    </div>

				</div>
			</div>
		</div>
		<?php if($download_specsheet || $download_mac_driver_link || $download_windows_driver_link || $download_windows_driver_link || $download_product_manual || $download_specsheet_2 || $download_driver_zip):?>
			<div class="col-sm-6 col-md-4">
				<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
					<div class="panel panel-default">
					    <div class="panel-heading" role="tab" id="headingTwo" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false">
							<span class="panel-title">
								<a class="collapsed" ><?php echo __('Downloads') ?></a>
							</span>
					    </div>
					    <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
					        <div class="panel-body">
					        	<ul>

								<?php
									if($download_specsheet){
								?>
								<li>
									<a href="<?php echo $download_specsheet; ?>" rel=""  target="_blank"   title="">
									<div class="item-link">specsheets</div>
									</a>
								</li>
								<?php } ?>
								<?php
									if($download_mac_driver_link){
								?>
								<li>
									<a href="<?php echo $download_mac_driver_link; ?>" rel=""  target="_blank"   title="">
									<div class="item-link">Mac Driver</div>
									</a>
								</li>
								<?php } ?>
								<?php
									if($download_windows_driver_link){
								?>
								<li>
									<a href="<?php echo $download_windows_driver_link; ?>" rel=""  target="_blank"   title="">
									<div class="item-link">windows driver</div>
									</a>
								</li>
								<?php } ?>
								<?php
									if($download_product_manual){
								?>
								<li>
									<a href="<?php echo $download_product_manual; ?>" rel=""  target="_blank"   title="">
									<div class="item-link">Manual</div>
									</a>
								</li>
								<?php } ?>
								<?php
									if($download_specsheet_2){
								?>
								<li>
									<a href="<?php echo $download_specsheet_2; ?>" rel=""  target="_blank"   title="">
									<div class="item-link">specsheets</div>
									</a>
								</li>
								<?php } ?>
								<?php
									if($download_driver_zip){
								?>
								<li>
									<a href="<?php echo $download_driver_zip; ?>" rel=""  target="_blank"   title="">
									<div class="item-link">drivers</div>
									</a>
								</li>
								<?php } ?>
					        	</ul>
					        </div>
					    </div>
					</div>
				</div>
			</div>
		<?php endif;?>
	</div>
</div>
<script>
    require([
        'jquery'
    ], function($){
		$('#headingTwo').click(function () {
		       if($(this).next('.panel-collapse.collapse.in').length){
		            $(this).removeClass("bkg");
		            $(this).closest("#accordion").removeClass("bkg");
		       }else{
		            $(this).addClass("bkg");
		            $(this).closest("#accordion").addClass("bkg");
		       }
		});

		$('.where-to-buy').click(function () {
			var url = "<?php echo $whereToBuyUrl; ?>";
			$(location).attr('href',url);
		});

    });
</script>

